/*
 * @Descripttion: 分享列表
 * @Author: Zhong
 * @Date: 2020-01-10 10:51:35
 */

const mongoose = require('mongoose');
const Schema = mongoose.Schema;
const shareSchema = new Schema({
    ID: String,
    projectID: Number,
    owner: String, // 项目拥有者ID
    receiver: String, // 接收者ID
    allowCopy: {
        type: Boolean,
        default: false
    },
    allowCooperate: {
        type: Boolean,
        default: false
    },
    shareDate: String,
    updateDate: String
}, {versionKey: false});

mongoose.model('share_list', shareSchema, 'share_list');